## org.eclipse.emf.ocl.expressions.impl
Class TupleLiteralPartImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ocl.uml.impl.TypedElementImpl
                                  org.eclipse.emf.ocl.expressions.impl.TupleLiteralPartImpl

All Implemented Interfaces:
  Notifier, EModelElement, ENamedElement, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, TupleLiteralPart, TypedElement, ASTNode, TypedASTNode, Visitable

    public class TupleLiteralPartImpl

extends TypedElementImpl
implements TupleLiteralPart

An implementation of the model object 'Tuple Literal Part'.

The following features are implemented:

- `Start Position`
- `End Position`
- `Type Start Position`
- `Type End Position`
- `Value`
- `Attribute`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EStructuralFeature` `attribute` The cached value of the '`Attribute`' reference
`static String` `copyright`
`protected static int` `END_POSITION_EDEFAULT` The default value of the '`End Position`' attribute
`protected int` `endPosition` The cached value of the '`End Position`' attribute
`protected static int` `START_POSITION_EDEFAULT` The default value of the '`Start Position`' attribute
`protected int` `startPosition` The cached value of the '`Start Position`' attribute
`protected static int` `TYPE_END_POSITION_EDEFAULT` The default value of the '`Type End Position`' attribute
`protected static int` `TYPE_START_POSITION_EDEFAULT` The default value of the '`Type Start Position`' attribute
`protected int` `typeEndPosition` The cached value of the '`Type End Position`' attribute
`protected int` `typeStartPosition` The cached value of the '`Type Start Position`' attribute
`protected OCLExpression` `value` The cached value of the '`Value`' containment reference

Fields inherited from class org.eclipse.emf.ocl.uml.impl.TypedElementImpl
`type`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `TupleLiteralPartImpl()`

Method Summary
`Object` `accept(Visitor v)`
`EStructuralFeature` `basicGetAttribute()`
`NotificationChain` `basicSetValue(OCLExpression newValue, NotificationChain msgs)`
`int` `eBaseStructuralFeatureID(int derivedFeatureID, Class baseClass)`
`int` `eDerivedStructuralFeatureID(int baseFeatureID, Class baseClass)`
`Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`EStructuralFeature` `getAttribute()`
`int` `getEndPosition()`
`int` `getStartPosition()`
`int` `getTypeEndPosition()`
`int` `getTypeStartPosition()`
`OCLExpression` `getValue()`
`void` `setAttribute(EStructuralFeature newAttribute)`
`void` `setEndPosition(int newEndPosition)`
`void` `setStartPosition(int newStartPosition)`
`void` `setTypeEndPosition(int newTypeEndPosition)`
`void` `setTypeStartPosition(int newTypeStartPosition)`
`void` `setValue(OCLExpression newValue)`
`String` `toString()`

Methods inherited from class org.eclipse.emf.ocl.uml.impl.TypedElementImpl
`basicGetType, getType, setType`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eInverseAdd, eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ocl.uml.TypedElement
`getType, setType`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### copyright

    public static final String copyright

  See Also:
    Constant Field Values

### START_POSITION_EDEFAULT

    protected static final int START_POSITION_EDEFAULT

  The default value of the '`Start Position`' attribute.

  See Also:
    `getStartPosition()`, Constant Field Values

### startPosition

    protected int startPosition

  The cached value of the '`Start Position`' attribute.

  See Also:
    `getStartPosition()`

### END_POSITION_EDEFAULT

    protected static final int END_POSITION_EDEFAULT

  The default value of the '`End Position`' attribute.

  See Also:
    `getEndPosition()`, Constant Field Values

### endPosition

    protected int endPosition

  The cached value of the '`End Position`' attribute.

  See Also:
    `getEndPosition()`

### TYPE_START_POSITION_EDEFAULT

    protected static final int TYPE_START_POSITION_EDEFAULT

  The default value of the '`Type Start Position`' attribute.

  See Also:
    `getTypeStartPosition()`, Constant Field Values

### typeStartPosition

    protected int typeStartPosition

  The cached value of the '`Type Start Position`' attribute.

  See Also:
    `getTypeStartPosition()`

### TYPE_END_POSITION_EDEFAULT

    protected static final int TYPE_END_POSITION_EDEFAULT

  The default value of the '`Type End Position`' attribute.

  See Also:
    `getTypeEndPosition()`, Constant Field Values

### typeEndPosition

    protected int typeEndPosition

  The cached value of the '`Type End Position`' attribute.

  See Also:
    `getTypeEndPosition()`

### value

    protected OCLExpression value

  The cached value of the '`Value`' containment reference.

  See Also:
    `getValue()`

### attribute

    protected EStructuralFeature attribute

  The cached value of the '`Attribute`' reference.

  See Also:
    `getAttribute()`

Constructor Detail

### TupleLiteralPartImpl

    protected TupleLiteralPartImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `TypedElementImpl`

### getStartPosition

    public int getStartPosition()

  Specified by:
    `getStartPosition` in interface `ASTNode`
  Returns:
    the value of the 'Start Position' attribute.
  See Also:
    `ASTNode.setStartPosition(int)`, `UtilitiesPackage.getASTNode_StartPosition()`

### setStartPosition

    public void setStartPosition(int newStartPosition)

  Specified by:
    `setStartPosition` in interface `ASTNode`
  Parameters:
    `newStartPosition` - the new value of the 'Start Position' attribute.
  See Also:
    `ASTNode.getStartPosition()`

### getEndPosition

    public int getEndPosition()

  Specified by:
    `getEndPosition` in interface `ASTNode`
  Returns:
    the value of the 'End Position' attribute.
  See Also:
    `ASTNode.setEndPosition(int)`, `UtilitiesPackage.getASTNode_EndPosition()`

### setEndPosition

    public void setEndPosition(int newEndPosition)

  Specified by:
    `setEndPosition` in interface `ASTNode`
  Parameters:
    `newEndPosition` - the new value of the 'End Position' attribute.
  See Also:
    `ASTNode.getEndPosition()`

### getTypeStartPosition

    public int getTypeStartPosition()

  Specified by:
    `getTypeStartPosition` in interface `TypedASTNode`
  Returns:
    the value of the 'Type Start Position' attribute.
  See Also:
    `TypedASTNode.setTypeStartPosition(int)`, `UtilitiesPackage.getTypedASTNode_TypeStartPosition()`

### setTypeStartPosition

    public void setTypeStartPosition(int newTypeStartPosition)

  Specified by:
    `setTypeStartPosition` in interface `TypedASTNode`
  Parameters:
    `newTypeStartPosition` - the new value of the 'Type Start Position' attribute.
  See Also:
    `TypedASTNode.getTypeStartPosition()`

### getTypeEndPosition

    public int getTypeEndPosition()

  Specified by:
    `getTypeEndPosition` in interface `TypedASTNode`
  Returns:
    the value of the 'Type End Position' attribute.
  See Also:
    `TypedASTNode.setTypeEndPosition(int)`, `UtilitiesPackage.getTypedASTNode_TypeEndPosition()`

### setTypeEndPosition

    public void setTypeEndPosition(int newTypeEndPosition)

  Specified by:
    `setTypeEndPosition` in interface `TypedASTNode`
  Parameters:
    `newTypeEndPosition` - the new value of the 'Type End Position' attribute.
  See Also:
    `TypedASTNode.getTypeEndPosition()`

### getValue

    public OCLExpression getValue()

  Specified by:
    `getValue` in interface `TupleLiteralPart`
  Returns:
    the value of the 'Value' containment reference.
  See Also:
    `TupleLiteralPart.setValue(OCLExpression)`, `ExpressionsPackage.getTupleLiteralPart_Value()`

### basicSetValue

    public NotificationChain basicSetValue(OCLExpression newValue,
                                           NotificationChain msgs)

### setValue

    public void setValue(OCLExpression newValue)

  Specified by:
    `setValue` in interface `TupleLiteralPart`
  Parameters:
    `newValue` - the new value of the 'Value' containment reference.
  See Also:
    `TupleLiteralPart.getValue()`

### getAttribute

    public EStructuralFeature getAttribute()

  Specified by:
    `getAttribute` in interface `TupleLiteralPart`
  Returns:
    the value of the 'Attribute' reference.
  See Also:
    `TupleLiteralPart.setAttribute(EStructuralFeature)`, `ExpressionsPackage.getTupleLiteralPart_Attribute()`

### basicGetAttribute

    public EStructuralFeature basicGetAttribute()

### setAttribute

    public void setAttribute(EStructuralFeature newAttribute)

  Specified by:
    `setAttribute` in interface `TupleLiteralPart`
  Parameters:
    `newAttribute` - the new value of the 'Attribute' reference.
  See Also:
    `TupleLiteralPart.getAttribute()`

### accept

    public Object accept(Visitor v)

  Specified by:
    `accept` in interface `Visitable`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `EModelElementImpl`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `TypedElementImpl`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `TypedElementImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `TypedElementImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `TypedElementImpl`

### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        Class baseClass)

  Specified by:
    `eBaseStructuralFeatureID` in interface `InternalEObject`
  Overrides:
    `eBaseStructuralFeatureID` in class `BasicEObjectImpl`

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           Class baseClass)

  Specified by:
    `eDerivedStructuralFeatureID` in interface `InternalEObject`
  Overrides:
    `eDerivedStructuralFeatureID` in class `BasicEObjectImpl`

### toString

    public String toString()

  Overrides:
    `toString` in class `ENamedElementImpl`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.